Name:           jtype
Version:        0.1.2
Release:        9%{?dist}
Summary:        A small library for working with the Java 5 type system
License:        ASL 2.0 
# svn export http://jtype.googlecode.com/svn/tags/0.1.2 jtype-0.1.2
# tar caf jtype-0.1.2.tar.xz jtype-0.1.2
URL:            http://code.google.com/p/jtype/
Source0:        %{name}-%{version}.tar.xz
# Add missing method getAnnotatedBounds()
Patch0:         jtype-0.1.2-java8.patch

BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  maven-local
# test deps
BuildRequires:  mvn(junit:junit)
#BuildRequires:  mvn(org.jmock:jmock-junit4)
#BuildRequires:  mvn(org.jmock:jmock-legacy)

%description
Java 5 introduced a richer type system for generics with Type and its various
sub-types, but lacks any easy way to perform common operations on these types.
JType aims to fill this gap. 

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
# disable org.jvnet.wagon-svn:wagon-svn
%pom_xpath_remove "pom:project/pom:build/pom:extensions"
%patch0 -p0

%build

%mvn_file : %{name}
# Disable test suite jmock require cglib < 3.x
%mvn_build -f

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.1.2-8
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 17 2013 gil cattaneo <puntogil@libero.it> 0.1.2-7
- fix rhbz#992647
- use pom macros
- removed rpmlint problems
- run test suite
- minor changes to adapt to current guideline

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.1.2-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 18 2011 Andy Grimm <agrimm@gmail.com> - 0.1.2-1
- Initial package
